package com.esignlive.guidance.forum;

import static com.silanis.esl.sdk.builder.PackageBuilder.newPackageNamed;
import static com.silanis.esl.sdk.builder.SignerBuilder.newSignerWithEmail;

import com.silanis.esl.sdk.DocumentPackage;
import com.silanis.esl.sdk.EslClient;
import com.silanis.esl.sdk.PackageId;
import com.silanis.esl.sdk.builder.DocumentPackageAttributesBuilder;

public class _20_02_27_local_signer_language {
	public static final String API_KEY = "your_api_key";
	public static final String API_URL = "https://sandbox.esignlive.com/api";
	static {
		System.setProperty("java.util.logging.config.file", "./relative_path/logging.properties");
	}
	public static void main(String[] args) {
		EslClient eslClient = new EslClient(API_KEY, API_URL);
		
        DocumentPackage superDuperPackage = newPackageNamed("test pkg - local signer language")
                .describedAs("This is a package created using the eSignLive SDK")
                .withSigner(newSignerWithEmail("esign_signer1@mailinator.com")
                    .withFirstName("One")
                    .withLastName("Span")
                    .withLocalLanguage()
        		)
                .build();

            PackageId packageId = eslClient.createPackage(superDuperPackage);
	}
	
		

}
